package com.ys.bdtp.adm.mvvm.model.db.dao.config

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import com.ys.bdtp.adm.mvvm.model.db.entity.config.ProblemTypeConfigEntity

/**
 * problem_type 表访问接口
 *
 * @author bai
 */
@Dao
interface ProblemTypeConfigDao {

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insProblemTypes(problemTypes: List<ProblemTypeConfigEntity>)
}