package com.ys.bdtp.adm.mvvm.model.db.relation

import androidx.room.Embedded
import androidx.room.Relation
import com.ys.bdtp.adm.mvvm.model.db.entity.task.BuildingEntity
import com.ys.bdtp.adm.mvvm.model.db.entity.task.FloorEntity

/**
 * Building 与 Floor 一对多关系表
 */
data class BuildingWithFloors(
    @Embedded val building: BuildingEntity,
    @Relation(
        parentColumn = "id",
        entityColumn = "building_id"
    )
    val floors: List<FloorEntity>
)
