package com.ys.bdtp.adm.mvvm.model.db.relation

import androidx.room.Embedded
import androidx.room.Relation
import com.ys.bdtp.adm.mvvm.model.db.entity.task.CadEntity
import com.ys.bdtp.adm.mvvm.model.db.entity.task.FloorEntity

data class FloorWithCads(
    @Embedded
    val floor: FloorEntity,
    @Relation(
        parentColumn = "id",
        entityColumn = "floor_id"
    )
    val cads: List<CadEntity>
)
